1. • Microsoft Internet Explorer: version 11 minimum

    • Mozilla Firefox: Version V35 minimum

    • Google Chrome: Version V37 minimum

  2. Customers using Internet Explorer should have version 9 or higher to utilize the new MyNeopost.com.

Date created:
10/03/2014 10:25:26
Last updated:
10/30/2019 12:13:31
Product(range):
neostats
Print